# Uses of Enum Class
org.springframework.context.annotation.AdviceMode

Packages that use AdviceMode
Package
Description
org.springframework.cache.annotation
Annotations and supporting classes for declarative cache management.
org.springframework.context.annotation
Annotation support for the Application Context, including JSR-250 "common" annotations, component-scanning, and Java-based metadata for creating Spring-managed objects.
org.springframework.scheduling.annotation
Annotation support for asynchronous method execution.

## Uses of AdviceMode in org.springframework.cache.annotation

Methods in org.springframework.cache.annotation with parameters of type AdviceMode
Modifier and Type
Method
Description
`String[]`
CachingConfigurationSelector.`selectImports(AdviceMode adviceMode)`
Returns `ProxyCachingConfiguration` or `AspectJCachingConfiguration` for `PROXY` and `ASPECTJ` values of `EnableCaching.mode()`, respectively.

## Uses of AdviceMode in org.springframework.context.annotation

Methods in org.springframework.context.annotation that return AdviceMode
Modifier and Type
Method
Description
`static AdviceMode`
AdviceMode.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AdviceMode[]`
AdviceMode.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.springframework.context.annotation with parameters of type AdviceMode
Modifier and Type
Method
Description
`protected abstract String[]`
AdviceModeImportSelector.`selectImports(AdviceMode adviceMode)`
Determine which classes should be imported based on the given `AdviceMode`.

## Uses of AdviceMode in org.springframework.scheduling.annotation

Methods in org.springframework.scheduling.annotation with parameters of type AdviceMode
Modifier and Type
Method
Description
`String[]`
AsyncConfigurationSelector.`selectImports(AdviceMode adviceMode)`
Returns `ProxyAsyncConfiguration` or `AspectJAsyncConfiguration` for `PROXY` and `ASPECTJ` values of `EnableAsync.mode()`, respectively.